/**
 * Copyright (C) 2009  BonitaSoft S.A..
 * BonitaSoft, 31 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.core.desc;

import java.util.List;

public class ConnectorDescriptor {

  private String connectorId;
  private String categoryId;
  private String language;
  private String icon;
  private List<Setter> inputs;
  private List<Getter> outputs;
  private List<Page> pages;

  //used by XStream
  protected ConnectorDescriptor() {}
  
  public ConnectorDescriptor(String connectorId, String categoryId,
      String language, String icon, List<Setter> inputs, List<Getter> outputs,
      List<Page> pages) {
    super();
    this.connectorId = connectorId;
    this.categoryId = categoryId;
    this.language = language;
    this.icon = icon;
    this.inputs = inputs;
    this.outputs = outputs;
    this.pages = pages;
  }

  public String getConnectorId() {
    return connectorId;
  }

  public String getCategoryId() {
    return categoryId;
  }

  public String getLanguage() {
    return language;
  }

  public List<Setter> getInputs() {
    return inputs;
  }

  public List<Getter> getOutputs() {
    return outputs;
  }

  public List<Page> getPages() {
    return pages;
  }

  public String getIcon() {
    return icon;
  }
}
