/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 * 
 * Modified by Matthieu Chaffotte - BonitaSoft S.A.
 **/
package org.ow2.bonita.connector.impl.database;

public class OracleConnector extends RemoteDatabaseConnector {

  private Boolean oracleSID;
  private Boolean oracleServiceName;
  private Boolean oracleOCI;

  public Boolean isOracleSID() {
    return oracleSID;
  }

  public Boolean isOracleServiceName() {
    return oracleServiceName;
  }

  public Boolean isOracleOCI() {
    return oracleOCI;
  }

  public void setOracleSID(Boolean oracleSID) {
    this.oracleSID = oracleSID;
  }

  public void setOracleServiceName(Boolean oracleServiceName) {
    this.oracleServiceName = oracleServiceName;
  }

  public void setOracleOCI(Boolean oracleOCI) {
    this.oracleOCI = oracleOCI;
  }

  @Override
  protected String getDriver() {
    return "oracle.jdbc.driver.OracleDriver";
  }

  @Override
  protected String getUrl() {
    StringBuilder builder = new StringBuilder("jdbc:oracle:");
    if (isOracleSID()) {
      builder.append("thin:@");
      builder.append(getHostName());
      builder.append(":");
      builder.append(getPort());
      builder.append(":");
      builder.append(getDatabase());
    } else if (isOracleServiceName()) {
      builder.append("thin:@(description=(address=(protocol=tcp)(host=");
      builder.append(getHostName());
      builder.append(")(port=");
      builder.append(getPort());
      builder.append("))(connect_data=(service_name=");
      builder.append(getDatabase());
      builder.append(")))");
    } else {
      builder.append("oci8:@");
      builder.append(getDatabase());
    }
    return builder.toString();
  }
}
