/**
 * Copyright (C) 2009  BonitaSoft S.A..
 * BonitaSoft, 31 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.impl.mapper;

import java.util.HashSet;
import java.util.Set;

import org.ow2.bonita.connector.core.RoleResolver;
import org.ow2.bonita.facade.QueryRuntimeAPI;

/**
 * 
 * @author Matthieu Chaffotte
 *
 */
public class ProcessInitiatorRoleResolver extends RoleResolver {

  @Override
  protected void executeConnector() throws Exception {
    QueryRuntimeAPI queryRuntimeAPI = getAccessor().getQueryRuntimeAPI();
    String instanceInitiator;
    instanceInitiator = queryRuntimeAPI.getProcessInstance(getInstanceUUID()).getStartedBy();
    Set<String> result = new HashSet<String>();
    result.add(instanceInitiator);
    setMembers(result);
  }
}
