/**
 * Copyright (C) 2009  BonitaSoft S.A..
 * BonitaSoft, 31 rue Gustave Eiffel - 38000 Grenoble
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.connector.impl.mapper;

import java.util.HashSet;
import java.util.List;
import java.util.Random;
import java.util.Set;

import org.ow2.bonita.connector.core.ConnectorError;
import org.ow2.bonita.connector.core.Filter;

/**
 * This filter chooses a candidate between all possible candidates
 * @author Matthieu Chaffotte
 *
 */
public class UniqueRandomFilter extends Filter {

	@Override
	protected void executeConnector() throws Exception {
		int candidatesNumber = getCandidates().size();
		Random rand = new Random();
	  int next = rand.nextInt(candidatesNumber);
	  String selectedUser = get(getCandidates(), next);
	  Set<String> user = new HashSet<String>();
	  user.add(selectedUser);
	  setMembers(user);
	}

	@Override
	protected List<ConnectorError> validateValues() {
		return super.validateValues();
	}
}
