/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.definition;

import java.util.List;
import java.util.Set;

import org.ow2.bonita.facade.uuid.ProcessDefinitionUUID;
import org.ow2.bonita.pvm.internal.model.ExecutionImpl;
import org.ow2.bonita.pvm.internal.model.PVMProcessDefinitionImpl;
import org.ow2.bonita.pvm.internal.model.VariableDefinitionImpl;
import org.ow2.bonita.runtime.InternalInstance;
import org.ow2.bonita.util.BonitaRuntimeException;
import org.ow2.bonita.util.ExceptionManager;

/**
 * @author Marc Blachon, Guillaume Porcher, Charles Souillard, Miguel Valdes, Pierre Vigneras
 */
public class InternalProcess extends PVMProcessDefinitionImpl {

  /**
   * 
   */
  private static final long serialVersionUID = -628269772789151365L;
  protected ProcessDefinitionUUID processUUID;

  protected Set<String> dependentClasses;
  
  protected InternalProcess() { }

  public InternalProcess(final ProcessDefinitionUUID processUUID, final Set<String> dependentClasses) {

    super();
    this.processUUID = processUUID;
    this.dependentClasses = dependentClasses;
  }

  @Override
  protected ExecutionImpl newProcessInstance() {
    InternalInstance instance = new InternalInstance(this);
    return instance.getRootExecution();
  }

  public ProcessDefinitionUUID getUUID() {
    return processUUID;
  }

  public void setVariableDefinitions(List<VariableDefinitionImpl> variableDefinitions) {
    this.variableDefinitions = variableDefinitions;
    hasVariableDefinitions = true; //variableDefinitions != null;
  }
  
  @Override
  public String getName() {
    String message = ExceptionManager.getInstance().getFullMessage("be_XP_1");
    throw new BonitaRuntimeException(message);
  }
}
