package org.ow2.bonita.definition.activity;

import org.ow2.bonita.facade.def.element.HookDefinition.Event;
import org.ow2.bonita.facade.def.majorElement.ActivityDefinition;
import org.ow2.bonita.pvm.Execution;
import org.ow2.bonita.runtime.InternalExecution;
import org.ow2.bonita.util.EngineEnvTool;

public class AutomaticActivity extends AbstractActivity {

  private static final long serialVersionUID = -6392840287035678094L;

  protected  AutomaticActivity() {
    super();
  }

  public AutomaticActivity(final ActivityDefinition activityDef) {
    super(activityDef);
  }

  @Override
  protected boolean executeBusinessLogic(final Execution execution) {
    final InternalExecution internalExecution = (InternalExecution) execution;
    EngineEnvTool.getHookExecutor().executeConnectors(this.activityDef, internalExecution, Event.automaticOnEnter);
    return true;
  }

  @Override
  protected boolean bodyStartAutomatically() {
    return true;
  }

}
