/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 * 
 * Modified by Matthieu Chaffotte - BonitaSoft S.A.
 **/
package org.ow2.bonita.definition.activity;

import java.util.Map;
import java.util.Set;

import org.ow2.bonita.connector.core.Filter;
import org.ow2.bonita.definition.MultiInstantiator;
import org.ow2.bonita.definition.MultiInstantiatorDescriptor;
import org.ow2.bonita.definition.PerformerAssign;
import org.ow2.bonita.definition.RoleMapper;
import org.ow2.bonita.facade.def.element.ConnectorDefinition;
import org.ow2.bonita.facade.def.element.HookDefinition.Event;
import org.ow2.bonita.facade.def.majorElement.ActivityDefinition;
import org.ow2.bonita.facade.runtime.ActivityInstance;
import org.ow2.bonita.facade.uuid.ProcessInstanceUUID;
import org.ow2.bonita.runtime.InternalExecution;

/**
 * @author Guillaume Porcher
 *
 */
public interface ConnectorExecutor {

  void executeConnector(final InternalExecution execution, final String activityName, final ConnectorDefinition hook);

  MultiInstantiatorDescriptor executeMultiInstantiator(final InternalExecution execution, final String activityId,
      final MultiInstantiator actInstantiator) throws Exception;

  Set<String> executeRoleMapper(final RoleMapper roleMapper, final ProcessInstanceUUID instanceUUID, final String roleId, final Map<String, Object[]>parameters)
    throws Exception;

  void executeConnectors(final ActivityDefinition activityDef, final InternalExecution execution, final Event event);
  
  Set<String> executeFilter(final Filter filter, final PerformerAssign performerAssign,
      final ActivityInstance activityInstance, final Set<String> candidates,
      final Map<String, Object[]>parameters) throws Exception;
}
