package org.ow2.bonita.definition.activity;

import org.ow2.bonita.facade.def.majorElement.ActivityDefinition;
import org.ow2.bonita.facade.exception.TaskNotFoundException;
import org.ow2.bonita.pvm.Execution;
import org.ow2.bonita.runtime.InternalExecution;
import org.ow2.bonita.runtime.TaskManager;
import org.ow2.bonita.util.BonitaRuntimeException;

public class Task extends AbstractActivity {

  private static final long serialVersionUID = -6392840287035678094L;

  protected  Task() {
    super();
  }

  public Task(final ActivityDefinition activityDef) {
    super(activityDef);
  }

  @Override
  protected boolean executeBusinessLogic(final Execution execution) {
    try {
      TaskManager.ready((InternalExecution)execution);
    } catch (TaskNotFoundException e) {
      throw new BonitaRuntimeException(e);
    }
    return false;
  }

  @Override
  protected boolean bodyStartAutomatically() {
    return false;
  }

}
