package org.ow2.bonita.pvm.internal.lob;

import java.sql.SQLException;

import org.hibernate.Hibernate;
import org.ow2.bonita.util.BonitaRuntimeException;
import org.ow2.bonita.util.ExceptionManager;

public class BlobStrategyBlob implements BlobStrategy {

  public void set(byte[] bytes, Blob blob) {
    if (bytes != null) {
      blob.setBlob(Hibernate.createBlob(bytes));
    }
  }

  public byte[] get(Blob blob) {
    java.sql.Blob sqlBlob = blob.getBlob();
    if (sqlBlob != null) {
      try {
        return sqlBlob.getBytes(1, (int) sqlBlob.length());
      } catch (SQLException e) {
      	String message = ExceptionManager.getInstance().getFullMessage("bp_BSB_1");
        throw new BonitaRuntimeException(message, e);
      }
    }
    return null;
  }
}
