package org.ow2.bonita.pvm.internal.lob;

import java.sql.SQLException;

import org.hibernate.Hibernate;
import org.ow2.bonita.util.BonitaRuntimeException;
import org.ow2.bonita.util.ExceptionManager;

public class ClobStrategyClob implements ClobStrategy {

  public void set(char[] chars, Clob clob) {
    if (chars != null) {
      clob.setClob(Hibernate.createClob(new String(chars)));
    }
  }

  public char[] get(Clob clob) {
    java.sql.Clob sqlClob = clob.getClob();
    if (sqlClob != null) {
      try {
        int length = (int) sqlClob.length();
        String text = sqlClob.getSubString(1, length);
        return text.toCharArray();
      } catch (SQLException e) {
      	String message = ExceptionManager.getInstance().getFullMessage("bp_CSC_1");
        throw new BonitaRuntimeException(message, e);
      }
    }
    return null;
  }
}
